Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 1211153002: Expose a SequencedTaskRunner that runs tasks on raster threads. (Closed)

Created:
5 years, 7 months ago by Daniele Castagna
Modified:
5 years, 7 months ago
CC:
chromium-reviews, darin-cc_chromium.org, jam, mkwst+moarreviews-renderer_chromium.org, mlamouri+watch-content_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Expose a SequencedTaskRunner that runs tasks on raster threads. This is the first step to make the raster worker threads reusable within the render. The raster threads and the task graph runner have been moved in a RasterWorkerPool class that implements the SequencedTaskRunner interface. The long term plan is to have a better defined TaskGraphRunner interface and expose that one instead. BUG= Committed: https://crrev.com/b880e8fd28fa5ff83ceceeeeccba993e1c159929 Cr-Commit-Position: refs/heads/master@{#336862}

Patch Set 1 #

Total comments: 29

Patch Set 2 : Move TaskGraphRunner and Threads in RasterWorkerPool. #

Total comments: 20

Patch Set 3 : Address reveman's comments. #

Total comments: 8

Patch Set 4 : Move RasterWorkerPool away from the anonymous namespace. #

Patch Set 5 : Address reveman's nits. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+137 lines, -44 lines) Patch
M content/renderer/render_thread_impl.h View 1 2 3 4 chunks +6 lines, -4 lines 0 comments Download
M content/renderer/render_thread_impl.cc View 1 2 3 4 9 chunks +131 lines, -40 lines 0 comments Download

Messages

Total messages: 15 (4 generated)
Daniele Castagna
5 years, 7 months ago (2015-06-25 22:26:57 UTC) #2
reveman
https://codereview.chromium.org/1211153002/diff/1/content/renderer/render_thread_impl.cc File content/renderer/render_thread_impl.cc (right): https://codereview.chromium.org/1211153002/diff/1/content/renderer/render_thread_impl.cc#newcode764 content/renderer/render_thread_impl.cc:764: DCHECK_IMPLIES(worker_task_runner_, worker_task_runner_->HasOneRef()); I think we can remove this if ...
5 years, 7 months ago (2015-06-26 21:13:57 UTC) #3
Daniele Castagna
PTAL. https://codereview.chromium.org/1211153002/diff/1/content/renderer/render_thread_impl.cc File content/renderer/render_thread_impl.cc (right): https://codereview.chromium.org/1211153002/diff/1/content/renderer/render_thread_impl.cc#newcode764 content/renderer/render_thread_impl.cc:764: DCHECK_IMPLIES(worker_task_runner_, worker_task_runner_->HasOneRef()); On 2015/06/26 at 21:13:56, reveman wrote: ...
5 years, 7 months ago (2015-06-29 23:30:49 UTC) #4
reveman
https://codereview.chromium.org/1211153002/diff/1/content/renderer/render_thread_impl.cc File content/renderer/render_thread_impl.cc (right): https://codereview.chromium.org/1211153002/diff/1/content/renderer/render_thread_impl.cc#newcode1862 content/renderer/render_thread_impl.cc:1862: ~TaskGraphRunnerSequencedTaskRunner() override{}; On 2015/06/29 at 23:30:49, Daniele Castagna wrote: ...
5 years, 7 months ago (2015-06-30 04:47:52 UTC) #5
Daniele Castagna
https://codereview.chromium.org/1211153002/diff/20001/content/renderer/render_thread_impl.cc File content/renderer/render_thread_impl.cc (right): https://codereview.chromium.org/1211153002/diff/20001/content/renderer/render_thread_impl.cc#newcode382 content/renderer/render_thread_impl.cc:382: RasterWorkerPool() : namespace_token_(){}; On 2015/06/30 at 04:47:52, reveman wrote: ...
5 years, 7 months ago (2015-06-30 15:43:50 UTC) #6
reveman
lgtm with nits we also need a TODO somewhere with a crbug that explains the ...
5 years, 7 months ago (2015-06-30 18:03:53 UTC) #7
Daniele Castagna
On 2015/06/30 at 18:03:53, reveman wrote: > lgtm with nits > > we also need ...
5 years, 7 months ago (2015-06-30 18:55:25 UTC) #9
Avi (use Gerrit)
lgtm
5 years, 7 months ago (2015-06-30 19:58:50 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1211153002/80001
5 years, 7 months ago (2015-06-30 20:11:04 UTC) #13
commit-bot: I haz the power
Committed patchset #5 (id:80001)
5 years, 7 months ago (2015-06-30 20:16:14 UTC) #14
commit-bot: I haz the power
5 years, 7 months ago (2015-06-30 20:18:03 UTC) #15
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/b880e8fd28fa5ff83ceceeeeccba993e1c159929
Cr-Commit-Position: refs/heads/master@{#336862}

Powered by Google App Engine
This is Rietveld 408576698